# Generated from jruby_whirr-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jruby_whirr

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: jruby_whirr is a Jruby gem of Apache Whirr. Apache Whirr is a set of libraries for running cloud services.  Whirr provides: A cloud-neutral way to run services. You don't have to worry about the idiosyncrasies of each provider.  A common service API. The details of provisioning are particular to the service.  Smart defaults for services. You can get a properly configured system running quickly, while still being able to override settings as needed
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
jruby_whirr is a Jruby gem of Apache Whirr.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/hadoop.properties
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jruby_whirr.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
